# Half-Life: Source - Issues

Here's a list of things that we'd fix in Half-Life: Source (and Deathmatch), given the opportunity.

The game is in a messy state. The potential for rebasing Half-Life on top of Source is incredible - but this attempt is sadly not good enough.

# 1/2 BIG IMPROVEMENTS TO THE GAME

## Bug: Entities double spawning in multiplayer

All entities double spawn in multiplayer. Supposedly a gamerule class method needs to be stubbed out because it's running spawn code twice? We don't have the source code to HL:S, so we have no idea.

## Fluff: The wrong sound, everywhere

Sounds from Half-Life 2 clash with Half-Life. Doors during the train ride should not sound like a door handle is being pulled. The footsteps are all from Half-Life 2 as well and clash with the lower sampling rate sounds from Half-Life.

# 2/2 EVERYTHING ELSE. STILL IMPORTANT THOUGH!

## Bug: Some weapons have no muzzleflash in third person.

Only the MP5/9mmAR has a muzzleflash!

## Bug: RPG does not use firing animation in third person.

See title.

## Bug: The Snark pickup model is wrong.

It's a big green/red thing. Not a single snark.

## Bug: You cannot turn off footsteps.

The multiplayer Create Server menu has the option to disable footsteps. That's completely ignored. Unacceptable.

## Bug: Wrong hit sounds.

Go into rapidcore.bsp and hit the metal pillar in the middle of the room with the glass floor and MP5/9mmAR pickup. It makes flesh impact sounds, but only to the local player. Is the material type networked properly?

## Bug: HUD colors are wrong for ammo

Weapon selection ammo colors are wrong. Compare it to Half-Life.

## Bug: Credits button on rapidcore.bsp does not work

Assuming that is a mistake. The button is still there, but the author credits no longer show up.

## Bug: Buttons don't light up at all in multiplayer

Buttons are supposed to change texture. Probably related to the double spawning of entities?

## Bug: Doors can close on snarks

... and get stuck. They will eventually die.

## Bug: Gauss impacts

Shooting wood materials with the Gauss will produce incorrectly rendered blue particles.

## Inconsistency: `drop` command does not exist in multiplayer.

In Half-Life, you could issue `drop` in console (or bind it) to drop the currently held weapon. This is missing here.

## Quality of Life: Server password is not saved?

Whenever a server gets started, the Create Server menu has defaults set - no setting is ever saved.


## Fluff: More cubemaps instead of spherical environment maps

One massively missed opportunity was to not use cubemaps for the majority of environment mapping in Half-Life: Source.

## Fluff: The chrome effect is not accurate at all

[FreeHL/Nuclide](https://code.idtech.space/vera/nuclide/src/branch/master/platform/base_glsl.pk3dir/glsl/defaultskin.glsl) use a .glsl that mimics the effect accurately. That'd have to be converted into a Source Engine shader. (HLSL?)

## Fluff: Feedback on the map conversions

- Boot_Camp: What's with all the added crates? And the barricaded door? This wouldn't pass [Wolpaw's Crate Test.](http://www.oldmanmurray.com/features/39.html)
- Bounce: Is fine.
- Crossfire: Is fine.
- Datacore: Is good.
- Frenzy: Has an exploit. You can jump up with the Gauss Rifle onto a penetrable ceiling - metal grate type surface on which they can shoot everyone with an advantage.
- Lambda_Bunker: Is good.
- Rapidcore: The lighting is atrocious.
- Snark_Pit: Is good.
- Stalkyard: Is good.
- Subtransit: Is fine.
- Undertow: Is fine.

Where is doublecross? Dario made some really great maps for HL post-release. Where are they???

## Fluff: GoldSrc compatibility layer

Make HL:S load GoldSrc game-logic through a shim. Give the client the ability to intercept the packets that the Source Engine doesn't natively implement. Perhaps unfeasible. Source would also need to support the GoldSrc file formats for this. Probably will never happen, but would make everyones dreams come true.